Subject: [Taps] Fwd: Reminder: Call for Papers: Measuring Network Quality for End-Users Workshop

From: "Aaron Falk" <[email-masked]>
Date: Thu, 22 Jul 2021 15:04:46 -0400

Reading this workshop proposal makes me think that perhaps there’s an 
extension of TAPS that collects/logs/reports racing results.  Have we 
discussed this?

--aaron

ps.  I’m happy to see several active wg members on the PC!

Forwarded message:

> From: IAB Executive Administrative Manager <[email-masked]>
> To: IETF Announcement List <[email-masked]>
> Subject: Reminder: Call for Papers: Measuring Network Quality for 
> End-Users Workshop
> Date: Thu, 22 Jul 2021 10:38:07 -0700
>
> Measuring Network Quality for End-Users Workshop
>
> An Internet Architecture Board virtual workshop
>
> Web page: https://www.iab.org/activities/workshops/network-quality/
>
> Call for Papers
>
> The Internet in 2021 is quite different from what it was 10 years ago.
> Today, it is a crucial part of everyone’s daily life. People use the
> Internet for their social life, for their daily jobs, for routine
> shopping, and for keeping up with major events. An increasing number 
> of
> people can access a Gigabit connection, which would be hard to imagine 
> a
> decade ago. And, thanks to improvements in security, people trust the
> Internet for both planning their finances and for everyday payments.
>
> At the same time, some aspects of end-user experience have not 
> improved
> as much. Many users have typical connection latency that remains at
> decade-old levels. Despite significant reliability improvements in 
> data
> center environments, end users often see interruptions in service.
> Transport improvements, such as QUIC, Multipath TCP, and TCP Fast Open
> are still not fully supported in some networks. Likewise, various
> advances in the security and privacy of user data are not widely
> supported, such as encrypted DNS to the local resolver.
>
> We believe that one of the major factors behind this lack of progress 
> is
> the popular perception that throughput is the often sole measure of 
> the
> quality of Internet connectivity. With such narrow focus, people 
> don’t
> consider questions such as:
>
>   • What is the latency under typical working conditions?
>   • How reliable is the connectivity across longer time periods?
>   • Does the network allow the use of a broad range of protocols?
>   • What services can be run by clients of the network?
>   • What kind of IPv4, NAT or IPv6 connectivity is offered, and are
>     there firewalls?
>   • What security mechanisms are available for local services, such 
> as
>     DNS?
>   • To what degree are the privacy, confidentiality, integrity and
>     authenticity of user communications guarded?
>
> Improving these aspects of network quality will likely depend on
> measurement and exposing metrics to all involved parties, including to
> end users in a meaningful way. Such measurements and exposure of the
> right metrics will allow service providers and network operators to
> focus on the aspects that impacts the users’ experience most and at 
> the
> same time empowers users to choose the Internet service that will give
> them the best experience.
>
> The IAB is holding this workshop to convene interested researchers,
> network operators, and Internet technologists to share their 
> experiences
> and to collaborate on the steps needed to define properties and 
> metrics
> with the goal of improving Internet access for all users.
>
> The workshop will discuss the following questions:
>
>  1. What are the fundamental properties of a network that contribute 
> to
>     good user experience?
>  2. What metrics quantify these properties, and how to collect such
>     metrics in a practical way?
>  3. What are the best practices for interpreting those metrics, and
>     incorporating those in a decision making process?
>  4. What are the best ways to communicate these properties to service
>     providers and network operators?
>  5. How can these metrics be displayed to users in a meaningful way?
>
> We realize that the answers to these questions will vary depending on
> the different experiences of the participants. For example, a 
> commercial
> video streaming platform may prioritize higher throughput and to rely 
> on
> latency-hiding techniques, while a massively-multiplayer online game 
> may
> prioritize lower jitter, and invest into techniques for graceful
> degradation of the user experience in case of reduced network 
> capacity.
> At the same time, researchers from the academia may be looking at
> properties and metrics that haven’t been adopted by the industry at 
> all.
> Likewise, participants may endorse different methodologies for
> interpreting the metrics and for making decisions. We are actively
> looking for identifying such methodologies and for capturing the
> respective best practices.
>
> While this workshop isn’t focusing on the solution space, we are
> welcoming submissions that dive into particular technologies, to the
> extent of helping to set the context for the discussion. Comparing the
> merits of specific solutions, however, is outside of the workshop’s
> scope.
>
> Interested participants are invited to submit position papers on the
> workshop questions. Paper size is not limited, but brevity is
> encouraged. Interested participants who have published relevant 
> academic
> papers may submit these as a position paper, optionally with a short
> abstract. The workshop itself will be a virtual meeting over several
> sessions, with focused discussion based on the position paper topics
> received.
>
> Logistics
>
>   • Submissions Due: Monday 2nd August 2021, midnight AOE (Anywhere 
> On
>     Earth)
>   • Invitations Issued by: Monday 16th August 2021
>   • Workshop Date: This will be a virtual workshop, spread over 
> three
>     days:
>     - 1400-1800 UTC Tue 14th September 2021
>     - 1400-1800 UTC Wed 15th September 2021
>     - 1400-1800 UTC Thu 16th September 2021
>
> Workshop co-chairs: Wes Hardaker, Eugeny Khorov, Omer Shapira
>
> The Program Committee members:
>
> Jari Arkko, Olivier Bonaventure, Vint Cerf, Stuart Cheshire, Sam
> Crowford, Nick Feamster, Jim Gettys, Toke Hoiland-Jorgensen, Geoff
> Huston, Cullen Jennings, Mirja Kuehlewind, Jason Livingood, Matt
> Mathias, Randall Meyer, Kathleen Nichols, Christoph Paasch, Tommy 
> Pauly,
> Greg White, Keith Winstein.
>
> Send Submissions to: [email-masked].
>
> Position papers from academia, industry, the open source community and
> others that focus on measurements, experiences, observations and 
> advice
> for the future are welcome. Papers that reflect experience based on
> deployed services are especially welcome. The organizers understand 
> that
> specific actions taken by operators are unlikely to be discussed in
> detail, so papers discussing general categories of actions and issues
> without naming specific technologies, products, or other players in 
> the
> ecosystem are expected. Papers should not focus on specific protocol
> solutions.
>
> The workshop will be by invitation only. Those wishing to attend 
> should
> submit a position paper to the address above; it may take the form of 
> an
> Internet-Draft.
>
> All inputs submitted and considered relevant will be published on the
> workshop website. The organisers will decide whom to invite based on 
> the
> submissions received. Sessions will be organized according to content,
> and not every accepted submission or invited attendee will have an
> opportunity to present as the intent is to foster discussion and not
> simply to have a sequence of presentations.
>
> Position papers from those not planning to attend the virtual sessions
> themselves are also encouraged. A workshop report will be published
> afterwards.
>
> _______________________________________________
> IETF-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf-announce

---

From: Martin Duke <[email-masked]>
Date: Thu, 22 Jul 2021 12:29:04 -0700

I've been kicking around a telemetry extension draft with a colleague but
am not close to submitting anything.

On Thu, Jul 22, 2021 at 12:05 PM Aaron Falk <[email-masked]> wrote:

> shopping, and for keeping up with major events. An increasing number of
> people can access a Gigabit connection, which would be hard to imagine a
> At the same time, some aspects of end-user experience have not improved
> decade-old levels. Despite significant reliability improvements in data
> We believe that one of the major factors behind this lack of progress is
> the popular perception that throughput is the often sole measure of the
> quality of Internet connectivity. With such narrow focus, people don’t
> • What security mechanisms are available for local services, such as
> DNS?
> focus on the aspects that impacts the users’ experience most and at the
> network operators, and Internet technologists to share their experiences
> and to collaborate on the steps needed to define properties and metrics
> 1. What are the fundamental properties of a network that contribute to
> good user experience?
> the different experiences of the participants. For example, a commercial
> video streaming platform may prioritize higher throughput and to rely on
> latency-hiding techniques, while a massively-multiplayer online game may
> degradation of the user experience in case of reduced network capacity.
> properties and metrics that haven’t been adopted by the industry at all.
> encouraged. Interested participants who have published relevant academic
> • Submissions Due: Monday 2nd August 2021, midnight AOE (Anywhere On
> Earth)
> • Workshop Date: This will be a virtual workshop, spread over three
> days:
> Mathias, Randall Meyer, Kathleen Nichols, Christoph Paasch, Tommy Pauly,
> others that focus on measurements, experiences, observations and advice
> deployed services are especially welcome. The organizers understand that
> without naming specific technologies, products, or other players in the
> The workshop will be by invitation only. Those wishing to attend should
> submit a position paper to the address above; it may take the form of an
> Internet-Draft.
>
> workshop website. The organisers will decide whom to invite based on the
> Taps mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/taps
>

---

From: Anna Brunström <[email-masked]>
Date: Thu, 22 Jul 2021 21:32:48 +0000

The implementation draft talks about caching the results from racing and we have a section (Section 9.2) on Performance caches.

BR,
Anna

From: Taps <[email-masked]> On Behalf Of Aaron Falk
Sent: den 22 juli 2021 21:05
To: taps WG <[email-masked]>
Subject: [Taps] Fwd: Reminder: Call for Papers: Measuring Network Quality for End-Users Workshop

Reading this workshop proposal makes me think that perhaps there’s an extension of TAPS that collects/logs/reports racing results. Have we discussed this?

--aaron

Forwarded message:

From: IAB Executive Administrative Manager <[email-masked]<mailto:[email-masked]>>
To: IETF Announcement List <[email-masked]<mailto:[email-masked]>>
Subject: Reminder: Call for Papers: Measuring Network Quality for End-Users Workshop
Date: Thu, 22 Jul 2021 10:38:07 -0700

Call for Papers

Logistics

Send Submissions to: [email-masked]<mailto:[email-masked]>.

_______________________________________________
IETF-Announce mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/ietf-announce

När du skickar e-post till Karlstads universitet behandlar vi dina personuppgifter<https://www.kau.se/gdpr>.
When you send an e-mail to Karlstad University, we will process your personal data<https://www.kau.se/en/gdpr>.

---

From: Mirja Kuehlewind <[email-masked]>
Date: Fri, 23 Jul 2021 10:34:04 +0000

For an IAB workshop only a short position paper is needed as we mainly want to make sure we have the right people for a discussion in the room and also get some input before the workshop on how to organize the discussion.

From: Taps <[email-masked]> on behalf of Martin Duke <[email-masked]>
Date: Thursday, 22. July 2021 at 21:29
To: Aaron Falk <[email-masked]>
Cc: taps WG <[email-masked]>
Subject: Re: [Taps] Fwd: Reminder: Call for Papers: Measuring Network Quality for End-Users Workshop

I've been kicking around a telemetry extension draft with a colleague but am not close to submitting anything.

On Thu, Jul 22, 2021 at 12:05 PM Aaron Falk <[email-masked]<mailto:[email-masked]>> wrote:

--aaron

Forwarded message:

Web page: https://www.iab.org/activities/workshops/network-quality/<https://protect2.fireeye.com/v1/url?k=62b3b667-3d288e85-62b3f6fc-86073b36ea28-3f7508df6a408e68&q=1&e=5033ae02-2190-4822-afb4-0fb35f3d2909&u=https%3A%2F%2Fwww.iab.org%2Factivities%2Fworkshops%2Fnetwork-quality%2F>

Call for Papers

Logistics

[email-masked]<mailto:[email-masked]>